        import 'package:built_value/built_value.dart';
import 'package:built_value/serializer.dart';

part 'library_creation_dto.g.dart';

abstract class LibraryCreationDto implements Built<LibraryCreationDto, LibraryCreationDtoBuilder> {

    
        @nullable
    @BuiltValueField(wireName: r'name')
    String get name;
    
        @nullable
    @BuiltValueField(wireName: r'root')
    String get root;

    // Boilerplate code needed to wire-up generated code
    LibraryCreationDto._();

    factory LibraryCreationDto([updates(LibraryCreationDtoBuilder b)]) = _$LibraryCreationDto;
    static Serializer<LibraryCreationDto> get serializer => _$libraryCreationDtoSerializer;

}

