        import 'package:built_value/built_value.dart';
import 'package:built_value/serializer.dart';

part 'page_dto.g.dart';

abstract class PageDto implements Built<PageDto, PageDtoBuilder> {

    
        @nullable
    @BuiltValueField(wireName: r'number')
    int get number;
    
        @nullable
    @BuiltValueField(wireName: r'fileName')
    String get fileName;
    
        @nullable
    @BuiltValueField(wireName: r'mediaType')
    String get mediaType;

    // Boilerplate code needed to wire-up generated code
    PageDto._();

    factory PageDto([updates(PageDtoBuilder b)]) = _$PageDto;
    static Serializer<PageDto> get serializer => _$pageDtoSerializer;

}

