        import 'package:built_value/built_value.dart';
import 'package:built_value/serializer.dart';

part 'path_dto.g.dart';

abstract class PathDto implements Built<PathDto, PathDtoBuilder> {

    
        @nullable
    @BuiltValueField(wireName: r'type')
    String get type;
    
        @nullable
    @BuiltValueField(wireName: r'name')
    String get name;
    
        @nullable
    @BuiltValueField(wireName: r'path')
    String get path;

    // Boilerplate code needed to wire-up generated code
    PathDto._();

    factory PathDto([updates(PathDtoBuilder b)]) = _$PathDto;
    static Serializer<PathDto> get serializer => _$pathDtoSerializer;

}

