            import 'package:built_collection/built_collection.dart';
        import 'package:built_value/built_value.dart';
import 'package:built_value/serializer.dart';

part 'roles_update_dto.g.dart';

abstract class RolesUpdateDto implements Built<RolesUpdateDto, RolesUpdateDtoBuilder> {

    
        @nullable
    @BuiltValueField(wireName: r'roles')
    BuiltList<String> get roles;

    // Boilerplate code needed to wire-up generated code
    RolesUpdateDto._();

    factory RolesUpdateDto([updates(RolesUpdateDtoBuilder b)]) = _$RolesUpdateDto;
    static Serializer<RolesUpdateDto> get serializer => _$rolesUpdateDtoSerializer;

}

