        import 'package:built_value/built_value.dart';
import 'package:built_value/serializer.dart';

part 'shared_library_dto.g.dart';

abstract class SharedLibraryDto implements Built<SharedLibraryDto, SharedLibraryDtoBuilder> {

    
        @nullable
    @BuiltValueField(wireName: r'id')
    int get id;

    // Boilerplate code needed to wire-up generated code
    SharedLibraryDto._();

    factory SharedLibraryDto([updates(SharedLibraryDtoBuilder b)]) = _$SharedLibraryDto;
    static Serializer<SharedLibraryDto> get serializer => _$sharedLibraryDtoSerializer;

}

