            import 'package:built_collection/built_collection.dart';
        import 'package:built_value/built_value.dart';
import 'package:built_value/serializer.dart';

part 'user_creation_dto.g.dart';

abstract class UserCreationDto implements Built<UserCreationDto, UserCreationDtoBuilder> {

    
        @nullable
    @BuiltValueField(wireName: r'email')
    String get email;
    
        @nullable
    @BuiltValueField(wireName: r'password')
    String get password;
    
        @nullable
    @BuiltValueField(wireName: r'roles')
    BuiltList<String> get roles;

    // Boilerplate code needed to wire-up generated code
    UserCreationDto._();

    factory UserCreationDto([updates(UserCreationDtoBuilder b)]) = _$UserCreationDto;
    static Serializer<UserCreationDto> get serializer => _$userCreationDtoSerializer;

}

