# komga_api_client.api.ClaimControllerApi

## Load the API package
```dart
import 'package:komga_api_client/api.dart';
```

All URIs are relative to *https://demo.komga.org*

Method | HTTP request | Description
------------- | ------------- | -------------
[**claimAdmin**](ClaimControllerApi.md#claimAdmin) | **post** /api/v1/claim | 


# **claimAdmin**
> UserDto claimAdmin(xKomgaEmail, xKomgaPassword)



### Example 
```dart
import 'package:komga_api_client/api.dart';

var api_instance = new ClaimControllerApi();
var xKomgaEmail = xKomgaEmail_example; // String | 
var xKomgaPassword = xKomgaPassword_example; // String | 

try { 
    var result = api_instance.claimAdmin(xKomgaEmail, xKomgaPassword);
    print(result);
} catch (e) {
    print("Exception when calling ClaimControllerApi->claimAdmin: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **xKomgaEmail** | **String**|  | [default to null]
 **xKomgaPassword** | **String**|  | [default to null]

### Return type

[**UserDto**](UserDto.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

