# komga_api_client.api.FileSystemControllerApi

## Load the API package
```dart
import 'package:komga_api_client/api.dart';
```

All URIs are relative to *https://demo.komga.org*

Method | HTTP request | Description
------------- | ------------- | -------------
[**getDirectoryListing**](FileSystemControllerApi.md#getDirectoryListing) | **post** /api/v1/filesystem | 


# **getDirectoryListing**
> DirectoryListingDto getDirectoryListing(directoryRequestDto)



### Example 
```dart
import 'package:komga_api_client/api.dart';

var api_instance = new FileSystemControllerApi();
var directoryRequestDto = new DirectoryRequestDto(); // DirectoryRequestDto | 

try { 
    var result = api_instance.getDirectoryListing(directoryRequestDto);
    print(result);
} catch (e) {
    print("Exception when calling FileSystemControllerApi->getDirectoryListing: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **directoryRequestDto** | [**DirectoryRequestDto**](DirectoryRequestDto.md)|  | 

### Return type

[**DirectoryListingDto**](DirectoryListingDto.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

