# komga_api_client.api.ReferentialControllerApi

## Load the API package
```dart
import 'package:komga_api_client/api.dart';
```

All URIs are relative to *https://demo.komga.org*

Method | HTTP request | Description
------------- | ------------- | -------------
[**getAuthors**](ReferentialControllerApi.md#getAuthors) | **get** /api/v1/authors | 


# **getAuthors**
> List<String> getAuthors(search)



### Example 
```dart
import 'package:komga_api_client/api.dart';

var api_instance = new ReferentialControllerApi();
var search = search_example; // String | 

try { 
    var result = api_instance.getAuthors(search);
    print(result);
} catch (e) {
    print("Exception when calling ReferentialControllerApi->getAuthors: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **search** | **String**|  | [optional] [default to &quot;&quot;]

### Return type

**List<String>**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

