        import 'package:built_value/built_value.dart';
import 'package:built_value/serializer.dart';

part 'author_dto.g.dart';

abstract class AuthorDto implements Built<AuthorDto, AuthorDtoBuilder> {

    
        @nullable
    @BuiltValueField(wireName: r'name')
    String get name;
    
        @nullable
    @BuiltValueField(wireName: r'role')
    String get role;

    // Boilerplate code needed to wire-up generated code
    AuthorDto._();

    factory AuthorDto([updates(AuthorDtoBuilder b)]) = _$AuthorDto;
    static Serializer<AuthorDto> get serializer => _$authorDtoSerializer;

}

