        import 'package:built_value/built_value.dart';
import 'package:built_value/serializer.dart';

part 'author_update_dto.g.dart';

abstract class AuthorUpdateDto implements Built<AuthorUpdateDto, AuthorUpdateDtoBuilder> {

    
        @nullable
    @BuiltValueField(wireName: r'name')
    String get name;
    
        @nullable
    @BuiltValueField(wireName: r'role')
    String get role;

    // Boilerplate code needed to wire-up generated code
    AuthorUpdateDto._();

    factory AuthorUpdateDto([updates(AuthorUpdateDtoBuilder b)]) = _$AuthorUpdateDto;
    static Serializer<AuthorUpdateDto> get serializer => _$authorUpdateDtoSerializer;

}

