            import 'package:komga_api_client/model/path_dto.dart';
            import 'package:built_collection/built_collection.dart';
        import 'package:built_value/built_value.dart';
import 'package:built_value/serializer.dart';

part 'directory_listing_dto.g.dart';

abstract class DirectoryListingDto implements Built<DirectoryListingDto, DirectoryListingDtoBuilder> {

    
        @nullable
    @BuiltValueField(wireName: r'parent')
    String get parent;
    
        @nullable
    @BuiltValueField(wireName: r'directories')
    BuiltList<PathDto> get directories;

    // Boilerplate code needed to wire-up generated code
    DirectoryListingDto._();

    factory DirectoryListingDto([updates(DirectoryListingDtoBuilder b)]) = _$DirectoryListingDto;
    static Serializer<DirectoryListingDto> get serializer => _$directoryListingDtoSerializer;

}

