        import 'package:built_value/built_value.dart';
import 'package:built_value/serializer.dart';

part 'directory_request_dto.g.dart';

abstract class DirectoryRequestDto implements Built<DirectoryRequestDto, DirectoryRequestDtoBuilder> {

    
        @nullable
    @BuiltValueField(wireName: r'path')
    String get path;

    // Boilerplate code needed to wire-up generated code
    DirectoryRequestDto._();

    factory DirectoryRequestDto([updates(DirectoryRequestDtoBuilder b)]) = _$DirectoryRequestDto;
    static Serializer<DirectoryRequestDto> get serializer => _$directoryRequestDtoSerializer;

}

