        import 'package:built_value/built_value.dart';
import 'package:built_value/serializer.dart';

part 'library_dto.g.dart';

abstract class LibraryDto implements Built<LibraryDto, LibraryDtoBuilder> {

    
        @nullable
    @BuiltValueField(wireName: r'id')
    int get id;
    
        @nullable
    @BuiltValueField(wireName: r'name')
    String get name;
    
        @nullable
    @BuiltValueField(wireName: r'root')
    String get root;

    // Boilerplate code needed to wire-up generated code
    LibraryDto._();

    factory LibraryDto([updates(LibraryDtoBuilder b)]) = _$LibraryDto;
    static Serializer<LibraryDto> get serializer => _$libraryDtoSerializer;

}

