        import 'package:built_value/built_value.dart';
import 'package:built_value/serializer.dart';

part 'media_dto.g.dart';

abstract class MediaDto implements Built<MediaDto, MediaDtoBuilder> {

    
        @nullable
    @BuiltValueField(wireName: r'status')
    String get status;
    
        @nullable
    @BuiltValueField(wireName: r'mediaType')
    String get mediaType;
    
        @nullable
    @BuiltValueField(wireName: r'pagesCount')
    int get pagesCount;
    
        @nullable
    @BuiltValueField(wireName: r'comment')
    String get comment;

    // Boilerplate code needed to wire-up generated code
    MediaDto._();

    factory MediaDto([updates(MediaDtoBuilder b)]) = _$MediaDto;
    static Serializer<MediaDto> get serializer => _$mediaDtoSerializer;

}

