        import 'package:built_value/built_value.dart';
import 'package:built_value/serializer.dart';

part 'password_update_dto.g.dart';

abstract class PasswordUpdateDto implements Built<PasswordUpdateDto, PasswordUpdateDtoBuilder> {

    
        @nullable
    @BuiltValueField(wireName: r'password')
    String get password;

    // Boilerplate code needed to wire-up generated code
    PasswordUpdateDto._();

    factory PasswordUpdateDto([updates(PasswordUpdateDtoBuilder b)]) = _$PasswordUpdateDto;
    static Serializer<PasswordUpdateDto> get serializer => _$passwordUpdateDtoSerializer;

}

