            import 'package:time_machine/time_machine.dart';
        import 'package:built_value/built_value.dart';
import 'package:built_value/serializer.dart';

part 'read_progress_dto.g.dart';

abstract class ReadProgressDto implements Built<ReadProgressDto, ReadProgressDtoBuilder> {

    
        @nullable
    @BuiltValueField(wireName: r'page')
    int get page;
    
        @nullable
    @BuiltValueField(wireName: r'completed')
    bool get completed;
    
        @nullable
    @BuiltValueField(wireName: r'created')
    OffsetDateTime get created;
    
        @nullable
    @BuiltValueField(wireName: r'lastModified')
    OffsetDateTime get lastModified;

    // Boilerplate code needed to wire-up generated code
    ReadProgressDto._();

    factory ReadProgressDto([updates(ReadProgressDtoBuilder b)]) = _$ReadProgressDto;
    static Serializer<ReadProgressDto> get serializer => _$readProgressDtoSerializer;

}

