        import 'package:built_value/built_value.dart';
import 'package:built_value/serializer.dart';

part 'read_progress_update_dto.g.dart';

abstract class ReadProgressUpdateDto implements Built<ReadProgressUpdateDto, ReadProgressUpdateDtoBuilder> {

    
        @nullable
    @BuiltValueField(wireName: r'page')
    int get page;
    
        @nullable
    @BuiltValueField(wireName: r'completed')
    bool get completed;

    // Boilerplate code needed to wire-up generated code
    ReadProgressUpdateDto._();

    factory ReadProgressUpdateDto([updates(ReadProgressUpdateDtoBuilder b)]) = _$ReadProgressUpdateDto;
    static Serializer<ReadProgressUpdateDto> get serializer => _$readProgressUpdateDtoSerializer;

}

