            import 'package:time_machine/time_machine.dart';
        import 'package:built_value/built_value.dart';
import 'package:built_value/serializer.dart';

part 'series_metadata_dto.g.dart';

abstract class SeriesMetadataDto implements Built<SeriesMetadataDto, SeriesMetadataDtoBuilder> {

    
        @nullable
    @BuiltValueField(wireName: r'status')
    String get status;
    
        @nullable
    @BuiltValueField(wireName: r'statusLock')
    bool get statusLock;
    
        @nullable
    @BuiltValueField(wireName: r'created')
    OffsetDateTime get created;
    
        @nullable
    @BuiltValueField(wireName: r'lastModified')
    OffsetDateTime get lastModified;
    
        @nullable
    @BuiltValueField(wireName: r'title')
    String get title;
    
        @nullable
    @BuiltValueField(wireName: r'titleLock')
    bool get titleLock;
    
        @nullable
    @BuiltValueField(wireName: r'titleSort')
    String get titleSort;
    
        @nullable
    @BuiltValueField(wireName: r'titleSortLock')
    bool get titleSortLock;

    // Boilerplate code needed to wire-up generated code
    SeriesMetadataDto._();

    factory SeriesMetadataDto([updates(SeriesMetadataDtoBuilder b)]) = _$SeriesMetadataDto;
    static Serializer<SeriesMetadataDto> get serializer => _$seriesMetadataDtoSerializer;

}

