        import 'package:built_value/built_value.dart';
import 'package:built_value/serializer.dart';

part 'series_metadata_update_dto.g.dart';

abstract class SeriesMetadataUpdateDto implements Built<SeriesMetadataUpdateDto, SeriesMetadataUpdateDtoBuilder> {

    
        @nullable
    @BuiltValueField(wireName: r'status')
    String get status;
        //enum statusEnum {  ENDED,  ONGOING,  ABANDONED,  HIATUS,  };
    
        @nullable
    @BuiltValueField(wireName: r'statusLock')
    bool get statusLock;
    
        @nullable
    @BuiltValueField(wireName: r'title')
    String get title;
    
        @nullable
    @BuiltValueField(wireName: r'titleLock')
    bool get titleLock;
    
        @nullable
    @BuiltValueField(wireName: r'titleSort')
    String get titleSort;
    
        @nullable
    @BuiltValueField(wireName: r'titleSortLock')
    bool get titleSortLock;

    // Boilerplate code needed to wire-up generated code
    SeriesMetadataUpdateDto._();

    factory SeriesMetadataUpdateDto([updates(SeriesMetadataUpdateDtoBuilder b)]) = _$SeriesMetadataUpdateDto;
    static Serializer<SeriesMetadataUpdateDto> get serializer => _$seriesMetadataUpdateDtoSerializer;

}

