            import 'package:built_collection/built_collection.dart';
        import 'package:built_value/built_value.dart';
import 'package:built_value/serializer.dart';

part 'shared_libraries_update_dto.g.dart';

abstract class SharedLibrariesUpdateDto implements Built<SharedLibrariesUpdateDto, SharedLibrariesUpdateDtoBuilder> {

    
        @nullable
    @BuiltValueField(wireName: r'all')
    bool get all;
    
        @nullable
    @BuiltValueField(wireName: r'libraryIds')
    BuiltList<int> get libraryIds;

    // Boilerplate code needed to wire-up generated code
    SharedLibrariesUpdateDto._();

    factory SharedLibrariesUpdateDto([updates(SharedLibrariesUpdateDtoBuilder b)]) = _$SharedLibrariesUpdateDto;
    static Serializer<SharedLibrariesUpdateDto> get serializer => _$sharedLibrariesUpdateDtoSerializer;

}

