            import 'package:built_collection/built_collection.dart';
            import 'package:komga_api_client/model/shared_library_dto.dart';
        import 'package:built_value/built_value.dart';
import 'package:built_value/serializer.dart';

part 'user_with_shared_libraries_dto.g.dart';

abstract class UserWithSharedLibrariesDto implements Built<UserWithSharedLibrariesDto, UserWithSharedLibrariesDtoBuilder> {

    
        @nullable
    @BuiltValueField(wireName: r'id')
    int get id;
    
        @nullable
    @BuiltValueField(wireName: r'email')
    String get email;
    
        @nullable
    @BuiltValueField(wireName: r'roles')
    BuiltList<String> get roles;
    
        @nullable
    @BuiltValueField(wireName: r'sharedAllLibraries')
    bool get sharedAllLibraries;
    
        @nullable
    @BuiltValueField(wireName: r'sharedLibraries')
    BuiltList<SharedLibraryDto> get sharedLibraries;

    // Boilerplate code needed to wire-up generated code
    UserWithSharedLibrariesDto._();

    factory UserWithSharedLibrariesDto([updates(UserWithSharedLibrariesDtoBuilder b)]) = _$UserWithSharedLibrariesDto;
    static Serializer<UserWithSharedLibrariesDto> get serializer => _$userWithSharedLibrariesDtoSerializer;

}

